USB_REGISTER_DEVICE_(9)

NAME
usb_register_device_driver - register a USB device (not interface) driver

SYNOPSIS

int usb_register_device_driver(struct usb_device_driver * new_udriver, struct module * owner);

ARGUMENTS

new_udriver
    USB operations for the device driver

owner
    module owner of this driver.

DESCRIPTION

Registers a USB device driver with the USB core. The list of unattached devices will be rescanned whenever a new driver is added, allowing the new driver to attach to any recognized devices.

RETURN

A negative error code on failure and 0 on success.

COPYRIGHT